過去ログ表示


過去ログ 43 を表示

トピック内全 4 記事中の 1 〜 4 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

Moz 1.5b 2003/07/30 Theme エラー
(#6279) このトピック中1番目の投稿

しばらく前の Nightly Build から Theme が使えなくなりました.
具体的には
「You have selected a theme which was designed for an earlier version of
Mozilla and is incompatible with your current Mozilla version. Please check the Mozilla Theme Park for an updated version of the theme. You can
uninstall this theme by clicking "OK" button」
のメッセージがでます.
つまりエラーではなく(^^ゞ、単に theme のバージョンがあわないだけです.
たぶんどこかのバージョン情報を書き換えれば theme を表示できそうなのですが、
その部分が見つけられません.
ご存知の方がいらしましたらご教授下さい.

Re[1]: Moz 1.5b 2003/07/30 Theme エラー
(#6292) このトピック中2番目の投稿

先ず、
> つまりエラーではなく(^^ゞ、単に theme のバージョンがあわないだけです.
という訳ではありません。
 Bug 211657 [FIXr]Should use '::' for anonymous boxes and other -moz pseudo-elements のfixに伴い、互換性がなくなることを受けてのバージョン番号の修正であることを覚えて置いてください。
# 本当は最近他にも知ってるだけで2つ、themeの互換性に関する修正が入っています。特に後者はあまり知られてない模様。
# Bug 195280 Removal of MNG/JNG support
# Bug 195883 Remove %-based opacity values

 で、バージョン番号の修正ですが、インストール済みであれば、プロファイルディレクトリ(にthemeをインストールしたなら)の、chrome/chrome.rdfのskinVersionが「1.2」であるものを「1.5」に修正するだけです。
 インストール前なら、jar内のルートにあるcontents.rdfのskinVersionを1.5にします。


 これで問題が無ければいいんですが、手許でbluemonkeyを1.5にしたときにはこれだけでは済まず、Bug 211657の修正もしなければなりませんでした。jarを展開して、全CSSファイル中の「:-moz」を「::-moz」に置換し、パックしなおせばOKです。

Re[2]: Moz 1.5b 2003/07/30 Theme エラー
(#6294) このトピック中3番目の投稿

ともひこさんありがとうございました.
ご指摘の方法でうまくいきました!

私は Pinball でしたが両方の修正が必要でした.
・ chrome.rdf の「skinVersion="1.2"」を「skinVersion="1.5"」に変換
・ pinball_2003-07-02_1.4.jar を解凍後、全ての ":-moz-tree" を "::-moz-tree" に変換
にて回避できました.
済!
Re[3]: Moz 1.5b 2003/07/30 Theme エラー
(#6297) このトピック中4番目の投稿

> 私は Pinball でしたが両方の修正が必要でした.
Mozilla用Pinballの修正版は7/27に公開されていたりして。
http://themes.mozdev.org/themes/pinball.html

# オチというか何というか…


このトピックの全ページ / [0]

返信不可


- Child Tree -